Soy novato y tratando de desarrollar para android.
He utilizado la siguiente tutorial y todo lo que es bueno (es decir, no hay error/icono rojo).
http://developer.android.com/training/implementing-navigation/nav-drawer.html

Sin embargo, en la actividad del archivo xml que estoy recibiendo de error siguientes:
Las siguientes clases no podía ser instanciado:
– android.apoyo.v4.widget.DrawerLayout (Clase Abierta, Mostrar Excepción)

He buscado en google y desbordamiento de pila. Encuentra problema similar, sin Embargo, nadie respondió por los. Suponiendo que si alguien se enfrentan a un mismo problema y logró resolver.

Nota: estoy usando Android Studio.

Activty.xml han flujo siguiente:

<android.support.v4.widget.DrawerLayout
xmlns:android="http://schemas.android.com/apk/res/android"
android:id="@+id/drawer_layout" ...........
tools:context=".MyActivity">

    <FrameLayout
        android:id="@+id/content_frame"........
        android:layout_alignParentEnd="true">

        <EditText
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>
    </FrameLayout>

    <ListView android:id="@+id/left_drawer"
        android:layout_width="240dp"........
        android:background="#111"/>

    </android.support.v4.widget.DrawerLayout>
InformationsquelleAutor Ashv | 2014-09-14

5 Comentarios

  1. 3

    El problema es que probablemente usted está utilizando una menor minSdkVersion. Yo tenía el mismo problema, me había puesto el minSdkVersion a 14 de cambio para 17 (en la construcción.gradle) y procesa correctamente.

  2. 0

    Estaba yo tengo el mismo problema !
    acabo de intentar cambiar la vista previa de «L» de la versión de android 4.4.2 (pequeño icono de android)
    y que va a solucionar el problema 🙂

    • Gracias por compartir. Déjame probar esta.
  3. 0

    De http://developer.android.com/training/implementing-navigation/nav-drawer.html:

    Esta lección describe cómo implementar un cajón de navegación utilizando el DrawerLayout Api disponibles en la Biblioteca de Compatibilidad.

    ¿Estás seguro de enlace La Biblioteca De Soporte correctamente?

    • Sí, Antes me estaba recibiendo el error de la clase de los no encontrado». Busqué y encontré que no era la adición de la biblioteca de soporte correctamente en la ruta de compilación. Una vez que lo hice, puedo comenzar a recibir el error «de la Clase no puede ser iniciados». Mi aplicación está funcionando bien en el móvil como se esperaba. Se trata de la representación en el estudio.
    • Así que, ¿cómo arreglar esto? Estoy teniendo este mismo problema ahora mismo. Edit: he actualizado el apoyo de la biblioteca, reinicia android studio y cambiado de destino versión del SDK al 20 (de 21). Esto ha solucionado el problema. No sé por qué o cómo, aunque.
  4. 0

    Intente esto:
    En la ficha vista previa, AndroidStudio le da algunas opciones, simplemente haga clic en Borrar Caché, y el archivo xml debe representar perfectamente.

  5. 0

    He resuelto este problema con la instalación adicional de las plataformas de componentes, siguiendo estos pasos:

    Haga clic en el menú «Herramientas -> Android -> SDK Manager».

    A continuación, haga clic en «Apariencia & Comportamiento -> Configuración del Sistema -> SDK de Android».

    En «SDK» Plataformas de ficha, marque todas las opciones anteriores (e incluyendo) «Android 4.0.3 (IceCreamSandwich)» opción.

    Haga clic en «Aplicar», esperar a que termine y listo!

    Espero que ayude.

Dejar respuesta

Please enter your comment!
Please enter your name here